## xcp-networkd 0.9.6

=== Makefile ===
BINDIR ?= /usr/bin
SBINDIR ?= /usr/sbin
ETCDIR ?= /etc
MANDIR ?= /usr/share/man/man1
all: build doc

.PHONY: test install uninstall clean

export OCAMLRUNPARAM=b
J=4

setup.bin: setup.ml
	@ocamlopt.opt -o $@ $< || ocamlopt -o $@ $< || ocamlc -o $@ $<
	@rm -f setup.cmx setup.cmi setup.o setup.cmo

setup.data: setup.bin
	@./setup.bin -configure --enable-tests

build: setup.data setup.bin networkd/version.ml
	@./setup.bin -build -j $(J)
	mv networkd.native xcp-networkd
	./xcp-networkd --help=groff > xcp-networkd.1

networkd/version.ml: VERSION
	echo "let version = \"$(shell cat VERSION)\"" > networkd/version.ml

doc: setup.data setup.bin
	@./setup.bin -doc -j $(J)

test: setup.bin build
	@./setup.bin -test

install:
	mkdir -p $(DESTDIR)$(SBINDIR)
	install xcp-networkd $(DESTDIR)$(SBINDIR)/xcp-networkd
	mkdir -p $(DESTDIR)$(MANDIR)
	install xcp-networkd.1 $(DESTDIR)$(MANDIR)/xcp-networkd.1
	mkdir -p $(DESTDIR)$(BINDIR)
	install networkd_db.native $(DESTDIR)$(BINDIR)/networkd_db

uninstall:
	rm -f $(DESTDIR)$(SBINDIR)/xcp-networkd
	rm -f $(DESTDIR)$(MANDIR)/xcp-networkd.1
	rm -f $(DESTDIR)$(SBINDIR)/networkd_db

clean:
	@ocamlbuild -clean
	@rm -f setup.data setup.log setup.bin
	rm networkd/version.ml
	rm xcp-networkd xcp-networkd.1

## xcp-networkd 0.9.5

=== debian/changelog ===
xcp-networkd (0.9.5-1) UNRELEASED; urgency=low

  * Update to 0.9.5 (now uses libnl)

 -- David Scott <dave.scott@citrix.com>  Sat, 27 Sep 2014 12:00:00 +0000

xcp-networkd (0.9.4-1) UNRELEASED; urgency=low

  * Update to 0.9.4
  * Add networkd_db CLI

 -- Jon Ludlam <jonathan.ludlam@citrix.com>  Wed, 04 Jun 2014 12:00:00 +0000

xcp-networkd (0.9.3-1) UNRELEASED; urgency=low

  * Update to 0.9.3

 -- David Scott <dave.scott@eu.citrix.com>  Wed, 25 Sep 2013 12:00:00 +0000

=== debian/control ===
Source: xcp-networkd
Priority: optional
Maintainer: Euan Harris <euan.harris@citrix.com>
Section: ocaml
Standards-Version: 3.9.3
Build-Depends:
 libxcp-inventory-ocaml-dev,
 libxcp-idl-ocaml-dev,
 dh-ocaml (>= 0.9),
 ocaml-nox,
 libstdext-ocaml-dev,
 python,
 debhelper (>= 8),
 ocaml-obuild,
 ocaml-findlib,
 libffi-dev,
 ocaml-native-compilers,
 libounit-ocaml-dev,
 libxen-api-client-ocaml-dev,
 ocaml-xen-api-libs-transitional-dev,
 ocaml-netlink-dev,
 librpc-ocaml-dev,
 forkexecd-dev

Package: xcp-networkd
Architecture: any
Depends:
 ${ocaml:Depends},
 ${shlibs:Depends},
 ${misc:Depends},
 ethtool,
 lsb-base,
 libffi-dev,
 libnl-3-200,
 libnl-route-3-200
Provides: ${ocaml:Provides}
Recommends: ocaml-findlib
Description: Simple host network management service for the xapi toolstack
 Simple host networking management service for the xapi toolstack.

## xcp-networkd 0.9.6

=== debian/changelog ===
xcp-networkd (0.9.6-1) UNRELEASED; urgency=low

  * Update to 0.9.6

 -- David Scott <dave.scott@citrix.com>  Wed, 11 Feb 2015 12:00:00 +0000
